﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using IronPdf;

namespace HtmlToPdfTutorial
{
    public partial class Examples
    {
        public static void HtmlFileToPdfExample()
        {
            // Create a PDF from an existing HTML
            var renderer = new ChromePdfRenderer();

            renderer.RenderingOptions.MarginTop = 50;  //millimeters
            renderer.RenderingOptions.MarginBottom = 50;
            renderer.RenderingOptions.CssMediaType = IronPdf.Rendering.PdfCssMediaType.Print;

            renderer.RenderingOptions.TextHeader = new TextHeaderFooter()
            {
                CenterText = "{pdf-title}",
                DrawDividerLine = true,
                FontSize = 16
            };

            renderer.RenderingOptions.TextFooter = new TextHeaderFooter()
            {
                LeftText = "{date} {time}",
                RightText = "Page {page} of {total-pages}",
                DrawDividerLine = true,
                FontSize = 14
            };

            var pdf = renderer.RenderHtmlFileAsPdf("Assets/TestInvoice1.html");
            var outputPath = "Invoice.pdf";
            pdf.SaveAs(outputPath);

            // This neat trick opens our PDF file so we can see the result
            System.Diagnostics.Process.Start(outputPath);
        }
    }
}
