﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using IronPdf;

namespace HtmlToPdfTutorial
{
    public partial class Examples
    {
        public static void PDFSettingsExample()
        {
            // Create a PDF from a web page
            var renderer = new ChromePdfRenderer();
            renderer.RenderingOptions.PrintHtmlBackgrounds = true;
            renderer.RenderingOptions.PaperSize = IronPdf.Rendering.PdfPaperSize.A4;
            renderer.RenderingOptions.PaperOrientation = IronPdf.Rendering.PdfPaperOrientation.Landscape;
            renderer.RenderingOptions.TextHeader = new TextHeaderFooter() { CenterText = "{url}" };
            renderer.RenderingOptions.HtmlFooter = new HtmlHeaderFooter() { HtmlFragment = "<div style='text-align:right'><em style='color:pink'>page {page} of {total-pages}</em></div>" };

            var pdf = renderer.RenderUrlAsPdf("https://www.nuget.org/packages/IronPdf/");
            var outputPath = "nuget.pdf";
            pdf.SaveAs(outputPath);

            // This neat trick opens our PDF file so we can see the result
            System.Diagnostics.Process.Start(outputPath);
        }
    }
}
